---
title: "/buckets/{bucketId}/objects/{objectId}"
url: "https://developers.rest.rodeo/apis/storage/versions/8415f51a-292b-4046-b795-bc13ea7a48cf/operations/deleteObject"
---

> Full API specification: https://developers.rest.rodeo/apis/storage/versions/8415f51a-292b-4046-b795-bc13ea7a48cf.md

# /buckets/{bucketId}/objects/{objectId}

`DELETE` `/buckets/{bucketId}/objects/{objectId}`

Operation ID: `deleteObject`

Deletes the object.

## Path parameters

- `bucketId` (string, uuid, required) - The bucket id.
- `objectId` (string, uuid, required) - The object id.

## Responses

- `204` - The object was deleted
- `401` - Missing or invalid bearer token
- `404` - No bucket or object with these ids
- `405` - Method not allowed

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Storage API
  version: 1.0.0
servers:
  - url: https://api.rest.rodeo/storage/api/v1
    description: Production
paths:
  /buckets/{bucketId}/objects/{objectId}:
    delete:
      operationId: deleteObject
      summary: /buckets/{bucketId}/objects/{objectId}
      description: Deletes the object.
      parameters:
        - $ref: "#/components/parameters/BucketId"
        - $ref: "#/components/parameters/ObjectId"
      responses:
        "204":
          description: The object was deleted
        "401":
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: No bucket or object with these ids
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "405":
          description: Method not allowed
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
security:
  - bearerAuth: []
components:
  parameters:
    BucketId:
      name: bucketId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: The bucket id.
    ObjectId:
      name: objectId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: The object id.
  schemas:
    Error:
      type: object
      required:
        - error
      additionalProperties: false
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
```
